function main_PathMqttToMysql_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new MqttToMysqlSecondPage();
	Class.NoConfirmButton();
	Class = null;
}

function main_MqttToMysql_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathMqttToMysql_click(this)");
	Class = new LoadHtml();
	var Html = Class.GetVariableTranslationHtml(Global_MqttToMysqlCss);
	Html = Html + Class.GetVariableTranslationHtml(Global_MqttToMysqlUpdatePageHtml);
	Html = Html + Class.GetVariableTranslationHtml(Global_MqttToMysqlFirstPageHtml);
	Html = Html + Class.GetVariableTranslationHtml(Global_MqttToMysqlSecondPageHtml);
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new MqttToMysqlUpdatePage();
	Class.Initialization();
	Class = null;
}
function main_MqttToMysqlSetConnectionName_click(that)
{
	var Class = new MqttToMysqlFirstPage();
	Class.SetConnectionName(that);
	Class = null;
}
function main_MqttToMysqlSaveButton_click(that)
{
	var Class = new MqttToMysqlFirstPage();
	Class.SaveButton(that);
	Class = null;
}
function main_MqttToMysqlChangeCheckbox_click(that)
{
	var Class = new MqttToMysqlFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
function main_MqttToMysqlEditButton_click(that)
{
	var Class = new MqttToMysqlFirstPage();
	Class.EditButton(that);
	Class = null;	
}
function main_MqttToMysqlShowNextPage_click()
{
	var Class = new MqttToMysqlFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_MqttToMysqlShowPreviousPage_click()
{
	var Class = new MqttToMysqlFirstPage();
	Class.ShowPreviousPage();
	Class = null;	
}
function main_MqttToMysqlChangeAllCheckbox_click(that)
{
	var Class = new MqttToMysqlFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
}
function main_MqttToMysqlConfirmButton_click(that)
{
	var Class = new MqttToMysqlSecondPage();
	Class.ConfirmButton(that);
	Class = null;	
}
function main_MqttToMysqlNoConfirmButton_click(that)
{
	var Class = new MqttToMysqlSecondPage();
	Class.NoConfirmButton(that);
	Class = null;	
}
function main_MqttToMysqlShowColumn_click()
{
	var Class = new MqttToMysqlSecondPage();
	Class.ShowColumn();
	Class = null;
}
function main_MqttToMysqlHideColumn_click()
{
	var Class = new MqttToMysqlSecondPage();
	Class.HideColumn();
	Class = null;
}